Add option `make help` that lists available targets
Status: Closed Start date: 12/27/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

The `./configure --help` option is super-useful.

Would it be possible to implement a `make help` target that gives a similar short list of available targets?

If there are many auto-generated targets that are irrelevant for most users / developers, perhaps a hand-written list of the 5 to 10

most common targets (like `check`, `doc`, `install`, `clean`) would be best?

History

#1 - 01/07/2014 03:29 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 00-08-00

- % Done changed from 0 to 100

Done.

#2 - 01/08/2014 02:49 PM - Deil Christoph

One thing I find annoying is that make install (which is part of my edit / compile / test cycle) takes so long, because it installs all the Doxygen files.

There's a ton of make install-XXX targets, but which one do I need for "normal make install, but not the doxygen docs"?

Unrelated comment: can you change the Redmine configuration so that it's possible for devs to re-open issues?

(I don't want to make a new issue for such a minor question / extra request.)

#3 - 01/08/2014 04:05 PM - Knödlseder Jürgen

Deil Christoph wrote:

One thing I find annoying is that make install (which is part of my edit / compile / test cycle) takes so long, because it installs all the Doxygen

files.

There's a ton of make install-XXX targets, but which one do I need for "normal make install, but not the doxygen docs"?

Unrelated comment: can you change the Redmine configuration so that it's possible for devs to re-open issues?

(I don't want to make a new issue for such a minor question / extra request.)

 

I'd prefer a separate issue for this. Closing and re-opening issues should only be done by managers to conserve control over the action items.
